none
Win Server 2016安装.NET 4.7.2后看不到 RRS feed

  • 问题

  • 新装的Win Server 2016安装.NET 4.7.2后,在服务器管理器中添加角色和功能里看不到,只看到.NET3.5和.NET4.6。多次重启和重装系统都没有解决。
    2019年10月22日 2:47

答案

  • Hi ,

    >>我在添加角色和功能中添加功能中没有.NT4.7.2的选项。

    不用纠结于这一点。

    添加角色和功能里面显示的是WINSERVER的默认 .net 版本,不是当前的.net版本。没有.NT4.7.2的选项是正常的。

    .NT4.7.2你已经安装成功了,可以在注册表里面确认。你具体是要实现什么功能?如果是要用VS的话,VS会自动识别.NT4.7.2的。

    此致

    Candy



    Please remember to mark the replies as an answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com   


    2019年10月22日 7:28
    版主

全部回复

  • Hi ,

    在server2012之后,.NET 4.7.2被放入了updates中而不是programs中。也就是说在,安装完NET 4.7.2,只需要在已安装更新项目下,确认补丁是否安装上。

    请参考以下的官方文档:

    适用于 Windows 的 Microsoft .NET Framework 4.7.2 离线安装程序

    最后,如果回复对您有所帮助的话,请您把回复标记为答复,方便论坛中其他有相同问题的用户快速找到有用的回复。

    感谢您的理解和支持。

    此致

    Candy


    Please remember to mark the replies as an answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com   

    2019年10月22日 3:37
    版主
  • 在更新那里可以看到更新包。但是在角色和功能那里看不到4.7。我怎么启用呀?

    2019年10月22日 6:03
  • Hi ,

    如果在更新那里看到更新包,说明是安装成功了。安装完成之后,是自动启用的。比如说visual studio就是自动识别的。

    要确定Windows操作系统的特定版本上是否安装了.NET Framework的特定版本,还可以查看Release DWORD值是否等于表中列出的值:

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full

    可以参考以下的文档:

    Find newer .NET Framework versions (4.5 and later)

    另外由于您的问题更多是关于visual studio,建议后续有关于.net的疑问可以发布在visual studio的论坛,这样您可以得到更加专业性的答复,以下是visual studio论坛的链接:

    https://social.msdn.microsoft.com/Forums/vstudio/en-US/home?forum=vssetup&filter=alltypes&sort=firstpostdesc

    如果回复对您有所帮助的话,请您把回复标记为答复,方便论坛中其他有相同问题的用户快速找到有用的回复。

    感谢您的理解和支持。

    此致

    Candy



    Please remember to mark the replies as an answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com   



    2019年10月22日 6:36
    版主
  • 我在添加角色和功能中添加功能中没有.NT4.7.2的选项。
    2019年10月22日 7:11
  • Hi ,

    >>我在添加角色和功能中添加功能中没有.NT4.7.2的选项。

    不用纠结于这一点。

    添加角色和功能里面显示的是WINSERVER的默认 .net 版本,不是当前的.net版本。没有.NT4.7.2的选项是正常的。

    .NT4.7.2你已经安装成功了,可以在注册表里面确认。你具体是要实现什么功能?如果是要用VS的话,VS会自动识别.NT4.7.2的。

    此致

    Candy



    Please remember to mark the replies as an answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com   


    2019年10月22日 7:28
    版主